Subject: Re: [PATCH net-next 1/3] iavf: add check for current MAC address in set_mac callback

From: Jakub Kicinski <[email-masked]>
Date: Tue, 6 Jun 2023 10:24:30 -0700

On Tue, 6 Jun 2023 12:21:07 +0200 Maciej Fijalkowski wrote:
> > > couldn't this be checked the layer above then? and pulled out of drivers?
> > 
> > Probably it could, but I can't tell for all drivers if such request should
> > always be ignored. I'm not aware of all possible use cases for this callback
> > to be called and I can imagine designs where such request should be
> > always handled.  
> 
> if you can imagine a case where such request should be handled then i'm
> all ears. it feels like this is in an optimization where everyone could
> benefit from (no expert in this scope though), but yeah this callback went
> into the wild and it's implemented all over the place.

+1, FWIW, this is a net-next change, let's try to put it in the core
unless we see a clear enough reason not to.